Package org.silverpeas.components.suggestionbox.notification

## Class SuggestionValidationUserNotification

- java.lang.Object
- - org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder
  - - org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder<T>
    - - org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<T>
      - - org.silverpeas.components.suggestionbox.notification.AbstractSuggestionBoxUserNotification<Suggestion>
        - - org.silverpeas.components.suggestionbox.notification.AbstractSuggestionUserNotification
          - - org.silverpeas.components.suggestionbox.notification.AbstractSuggestionActionUserNotification
            - - org.silverpeas.components.suggestionbox.notification.SuggestionValidationUserNotification

- All Implemented Interfaces:
    `org.silverpeas.core.notification.user.builder.UserNotificationBuilder`

      public class SuggestionValidationUserNotification
      extends AbstractSuggestionActionUserNotification

  Author:
    Yohann Chastagnier

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

      `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder.NotificationTemporal`

  - ### Field Summary

    - ### Fields inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

      `CUSTOM_NOTIFICATION_SUBJECT, DEFAULT_NOTIFICATION_SUBJECT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SuggestionValidationUserNotification​(Suggestion resource)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.silverpeas.core.notification.user.client.constant.NotifAction` | `getAction()` |
    `protected String` | `getBundleSubjectKey()` |
    `protected org.silverpeas.core.admin.user.model.User` | `getSenderDetail()` | Gets the `UserDetail` instance of the sender.
    `protected String` | `getTemplateFileName()` |
    `protected Collection<String>` | `getUserIdsToNotify()` |
    `protected void` | `perform​(Suggestion resource)` |
    `protected void` | `performTemplateData​(String language, Suggestion resource, org.silverpeas.core.template.SilverpeasTemplate template)` |

    - ### Methods inherited from class org.silverpeas.components.suggestionbox.notification.AbstractSuggestionActionUserNotification

      `isSendImmediately`

    - ### Methods inherited from class org.silverpeas.components.suggestionbox.notification.AbstractSuggestionUserNotification

      `getComponentInstanceId, getSender, performNotificationResource, stopWhenNoUserToNotify`

    - ### Methods inherited from class org.silverpeas.components.suggestionbox.notification.AbstractSuggestionBoxUserNotification

      `getContributionAccessLinkLabelBundleKey, getLocalizationBundlePath, getSenderName, getSuggestionBoxModerators, getTemplatePath`

    - ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

      `createNotification, getTitle, getTitle, performBuild, performNotificationResource, performNotificationResource`

    - ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder

      `getResource, getResourceURL, initialize, initializeNotificationResourceData, isGroupCanBeNotified, isUserCanBeNotified, performBuild, setResource`

    - ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder

      `build, getBundle, getBundle, getContent, getExternalAddressesToNotify, getGroupIdsToNotify, getMessageType, getNotificationMetaData, getUserIdsToExcludeFromNotifying, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SuggestionValidationUserNotification

          public SuggestionValidationUserNotification​(Suggestion resource)

  - ### Method Detail

    - #### getBundleSubjectKey

          protected String getBundleSubjectKey()

      Overrides:
        `getBundleSubjectKey` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<Suggestion>`

    - #### getTemplateFileName

          protected String getTemplateFileName()

      Specified by:
        `getTemplateFileName` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<Suggestion>`

    - #### perform

          protected void perform​(Suggestion resource)

      Overrides:
        `perform` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<Suggestion>`

    - #### performTemplateData

          protected void performTemplateData​(String language,
                                             Suggestion resource,
                                             org.silverpeas.core.template.SilverpeasTemplate template)

      Overrides:
        `performTemplateData` in class `AbstractSuggestionUserNotification`

    - #### getUserIdsToNotify

          protected Collection<String> getUserIdsToNotify()

      Specified by:
        `getUserIdsToNotify` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

    - #### getSenderDetail

          protected org.silverpeas.core.admin.user.model.User getSenderDetail()

      Description copied from class: `AbstractSuggestionBoxUserNotification`
      Gets the `UserDetail` instance of the sender.
      Overrides:
        `getSenderDetail` in class `AbstractSuggestionUserNotification`
      Returns:

    - #### getAction

          protected org.silverpeas.core.notification.user.client.constant.NotifAction getAction()

      Overrides:
        `getAction` in class `AbstractSuggestionUserNotification`